/* prefixed by https://autoprefixer.github.io (PostCSS: v7.0.26, autoprefixer: v9.7.3) */

@-webkit-keyframes opacity {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes opacity {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@-webkit-keyframes shake {
    0%,
    100% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
    }
    10%,
    30%,
    50%,
    70%,
    90% {
        -webkit-transform: translateX(-10px);
                transform: translateX(-10px);
    }
    20%,
    40%,
    60%,
    80% {
        -webkit-transform: translateX(10px);
                transform: translateX(10px);
    }
}

@keyframes shake {
    0%,
    100% {
        -webkit-transform: translateX(0);
                transform: translateX(0);
    }
    10%,
    30%,
    50%,
    70%,
    90% {
        -webkit-transform: translateX(-10px);
                transform: translateX(-10px);
    }
    20%,
    40%,
    60%,
    80% {
        -webkit-transform: translateX(10px);
                transform: translateX(10px);
    }
}

*,
*::before,
*::after {
    -webkit-box-sizing: inherit;
            box-sizing: inherit;
}

html {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: "PT Sans", Arial, sans-serif;
    font-size: 14px;
    font-weight: 700;
    color: #000000;
    text-transform: uppercase;
    background-color: #f2f2f2;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}

button {
    cursor: pointer;
}

.visually-hidden:not(:focus):not(:active),
input[type="checkbox"].visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    -webkit-clip-path: inset(100%);
            clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
}

.inner-page {
    line-height: 21px;
    background-color: #ffffff;
}

.container {
    width: 1200px;
    margin: 0 auto;
    -webkit-box-shadow: 0 0 30px 10px #dbdbdb;
            box-shadow: 0 0 30px 10px #dbdbdb;
}

.main-header {
    background-color: #ffffff;
}

.main-navigation {
    position: relative;
    line-height: 26px;
}

.main-header-logo {
    position: absolute;
    left: 50%;
    top: 0;
    z-index: 1000;
    width: 138px;
    margin: 0;
    margin-left: -69px;
    line-height: 0;
}

.main-header-logo[href]:hover,
.main-header-logo[href]:focus {
    opacity: 0.6;
}

.main-header-logo[href]:active {
    opacity: 0.3;
}

.wrapper {
    width: 1055px;
    margin: 0 auto;
}

.site-navigation {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    margin: 0;
    padding: 0;
    list-style: none;
}

.site-navigation li {
    min-width: 239px;
    margin: 0;
    padding: 0;
    padding-top: 15px;
    padding-bottom: 15px;
}

.site-navigation li:nth-of-type(1),
.site-navigation li:nth-of-type(2) {
    text-align: left;
}

.site-navigation li:nth-of-type(3),
.site-navigation li:nth-of-type(4) {
    text-align: right;
}

.site-navigation li:nth-of-type(3) {
    margin-left: auto;
}

.site-navigation a {
    color: #000000;
}

.site-navigation a:hover,
.site-navigation a:focus {
    color: #81b3d2;
}

.site-navigation a:active {
    color: rgba(0, 0, 0, 0.3);
}

.preview {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    min-height: 725px;
    margin: 0;
    padding: 0;
    padding-top: 550px;
    font-size: 21px;
    line-height: 26px;
    text-align: center;
    background-color: #ffffff;
    background-image: url("../img/preview-background.jpg");
    background-position: 0 -55px;
    background-repeat: no-repeat;
}

.preview p:first-of-type {
    margin: 0;
    margin-top: auto;
    margin-bottom: 30px;
}

.preview p:nth-of-type(2) {
    margin: 0;
    margin-bottom: 50px;
    font-size: 14px;
    font-weight: 400;
}


/*Преимущества*/

.features-list,
.additional-features-list {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    margin: 0;
    padding: 0;
    list-style: none;
}

.additional-features-list {
    width: 1200px;
    min-height: 330px;
    margin-top: -5px;
    background-color: #ffffff;
}

.features-list {
    background-color: #eeeeee;
}

.features-list>li:nth-of-type(1) {
    -webkit-box-ordinal-group: -1;
        -ms-flex-order: -2;
            order: -2;
}

.features-list>li:nth-of-type(6) {
    -webkit-box-ordinal-group: 0;
        -ms-flex-order: -1;
            order: -1;
}

.features-list>.feature-item:nth-of-type(1),
.features-list>.feature-item:nth-of-type(2) {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    width: 1200px;
}

.feature-item-wrapper {
    -ms-flex-item-align: start;
        align-self: flex-start;
    width: 400px;
    min-height: 256px;
    color: #ffffff;
    background-color: #81b3d2;
}

.feature-item-image {
    width: 800px;
}

.features-list>li:nth-of-type(2) .feature-item-image {
    -webkit-box-ordinal-group: 0;
        -ms-flex-order: -1;
            order: -1;
}

.feature-item:not(:nth-of-type(1)):not(:nth-of-type(2)):not(:nth-of-type(6)),
.additional-feature-item {
    width: 400px;
}

.feature-item:not(:nth-of-type(1)):not(:nth-of-type(2)):not(:nth-of-type(6)) {
    min-height: 256px;
}

.feature-item {
    margin: 0;
    padding: 0;
    text-align: center;
    line-height: 21px;
    font-weight: 400;
}

.feature-item h3 {
    margin: 0;
    margin-top: 45px;
    margin-bottom: 25px;
    padding: 0;
    font-size: 21px;
}

.feature-item-number {
    position: relative;
    display: inline-block;
    min-width: 50px;
    padding: 0;
    margin: 0;
    margin-bottom: 25px;
}

.feature-item-number::before {
    content: "";
    position: absolute;
    top: 10px;
    left: 0;
    width: 10px;
    border: 1px solid #c2d9e8;
}

.feature-item-number::after {
    content: "";
    position: absolute;
    top: 10px;
    right: 0;
    width: 10px;
    border: 1px solid #c2d9e8;
}

.feature-item p {
    padding: 0;
    margin: 0;
    margin-bottom: 40px;
}

.additional-feature-item {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    padding-top: 150px;
}

.additional-feature-item h3 {
    margin-top: auto;
}

.additional-feature-item p {
    margin-bottom: 85px;
}

.additional-feature-item:first-of-type {
    background-image: url("../img/icon-1.svg");
    background-repeat: no-repeat;
    background-position: 50% 60px;
}

.additional-feature-item:nth-of-type(2) {
    background-image: url("../img/icon-2.svg");
    background-repeat: no-repeat;
    background-position: 50% 60px;
}

.additional-feature-item:last-of-type {
    background-image: url("../img/icon-3.svg");
    background-repeat: no-repeat;
    background-position: 50% 60px;
}

.appointment {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding-top: 55px;
    font-weight: 400;
    background-color: #ffffff;
}

.appointment h2 {
    margin: 0;
    margin-bottom: 30px;
    font-size: 30px;
    line-height: 36px;
}

.appointment-info {
    margin: 0;
    margin-bottom: 50px;
    width: 575px;
    padding: 0 72px;
    line-height: 24px;
    text-align: center;
}

.btn {
    font: inherit;
    font-weight: 700;
    color: #ffffff;
    vertical-align: middle;
    text-transform: uppercase;
    border: none;
}

.open-modal-popup {
    width: 568px;
    margin: 0;
    padding: 32px 0 30px;
    font-size: 21px;
    line-height: 26px;
    text-align: center;
    background-color: #766357;
}

.open-modal-popup:hover,
.open-modal-popup:focus {
    background-color: #604e43;
}

.open-modal-popup:active {
    background-color: #503e33;
    color: rgba(255, 255, 255, 0.3);
}

.map {
    position: relative;
    width: 1200px;
    min-height: 590px;
}

.map img {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}


/*форма на главной*/

.modal-popup {
    position: relative;
    display: none;
}

.appointment-form {
    position: absolute;
    left: 50%;
    bottom: 305px;
    width: 568px;
    min-height: 395px;
    margin: 0;
    margin-left: -284px;
    padding: 55px;
    line-height: 26px;
    background-color: #ffffff;
    -webkit-box-shadow: 0 5px 15px -5px #3f4c52;
            box-shadow: 0 5px 15px -5px #3f4c52;
}

.appoitment-item {
    margin: 0;
    margin-bottom: 30px;
    padding: 0;
}

.appoitment-item:first-of-type label {
    margin: 0;
    padding: 0;
    margin-right: 18px;
}

.appoitment-item:nth-of-type(2) label {
    margin: 0;
    padding: 0;
    margin-right: 14px;
}

.appoitment-item input {
    margin: 0;
    padding: 0;
    font: inherit;
    text-transform: uppercase;
    background-color: #f2f2f2;
    border: none;
}

.appoitment-item:first-of-type input,
.appoitment-item:nth-of-type(2) input {
    position: relative;
    width: 345px;
    margin: 0;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: 12px;
    padding-right: 45px;
}

.appoitment-item {
    position: relative;
}

.btn-calendar {
    position: absolute;
    right: 5px;
    top: 50%;
    margin-top: -12px;
    border: none;
    background-color: transparent;
    fill: #cacaca;
}

.btn-calendar:hover path,
.btn-calendar:focus path,
.btn-calendar:hover rect,
.btn-calendar:focus rect {
    fill: black;
}

.btn-calendar:active path,
.btn-calendar:active rect {
    fill: #81b3d2;
}

.appoitment-item:nth-of-type(3) {
    display: inline-block;
    margin-right: 40px;
    margin-bottom: 55px;
}

.appoitment-item:nth-of-type(4) {
    display: inline-block;
    margin-bottom: 55px;
}

.appoitment-item:nth-of-type(3) label {
    margin: 0;
    margin-right: 32px;
    padding: 0;
}

.appoitment-item:nth-of-type(4) label {
    margin: 0;
    margin-right: 25px;
    padding: 0;
}

.appoitment-item:nth-of-type(3) input,
.appoitment-item:nth-of-type(4) input {
    width: 120px;
    margin: 0;
    padding: 5px 40px;
    text-align: center;
}

.appoitment-item input:hover,
.appoitment-item input:focus {
    background-color: #ebebeb;
}

.appoitment-item input:active {
    background-color: #ffffff;
    border: 2px solid #e5e5e5;
}

.appoitment-btn {
    width: 40px;
    height: 35px;
    border: none;
    background-color: transparent;
    font: inherit;
    font-size: 18px;
    line-height: 10px;
    color: #a9a9a9;
}

.btn-minus {
    position: absolute;
    right: 80px;
    top: 0;
}

.btn-plus {
    position: absolute;
    right: 0px;
    top: 0;
    height: 37px;
}

.btn-minus:hover,
.btn-minus:focus,
.btn-plus:hover,
.btn-plus:focus {
    color: #000000;
}

.btn-minus:active,
.btn-plus:active {
    color: #81b3d2;
}

.modal-button {
    width: 458px;
    padding-top: 20px;
    padding-bottom: 20px;
    font-size: 21px;
    line-height: 26px;
    background-color: #81b3d2;
}

.modal-button:hover,
.modal-button:focus {
    background-color: #669ec0;
}

.modal-button:active {
    background-color: #5496bd;
    color: rgba(255, 255, 255, 0.3);
}


/*footer*/

.main-footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    min-height: 120px;
    padding-top: 30px;
    padding-left: 100px;
    padding-right: 100px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    background-color: #ffffff;
}



.footer-heshtag a {
    color: #000000;
    font-size: 21px;
    line-height: 26px;
}

.footer-heshtag a:hover,
.footer-heshtag a:focus {
    color: #81b3d2;
}

.footer-heshtag a:active {
    color: rgba(0, 0, 0, 0.3);
}


.footer-social {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 150px;
    -webkit-box-pack: space-between;
        -ms-flex-pack: space-between;
            justify-content: space-between;
    padding: 0;
    margin-left: 280px;
    list-style: none;
}

.footer-social li {
    margin: 0;
    padding: 0;
}

.social-button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    width: 46px;
    height: 48px;
    background-color: #81b3d2;
}

.social-button:hover,
.social-button:focus {
    background-color: #669ec0;
}

.social-button:active {
    background-color: #5496bd;
}

.social-button:active path {
    opacity: 0.3;
}

.footer-copyright {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin-left: auto;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    font-size: 14px;
    line-height: 26px;
    font-weight: 400;
}

.footer-copyright span {
    margin-right: 10px;
}

.html-logo {
    width: 115px;
    height: 36px;
}

.html-logo path,
.html-logo rect {
    fill: #000000;
}

.html-logo:hover path,
.html-logo:focus path,
.html-logo:hover rect,
.html-logo:focus rect {
    fill: #81b3d2;
}

.html-logo:active path,
.html-logo:active rect {
    fill: #bdbbbc;
} */


/*Inner Page*/

.site-navigation-current a:not([href]) {
    color: #766357;
}

.filters {
    padding-top: 30px;
    padding-bottom: 30px;
    background-color: #3f4c52;
    background-image: url("../img/filter-background.jpg");
    background-position: 50% -55px;
    background-repeat: no-repeat;
}

.filter {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    padding: 0;
    color: #ffffff;
}

.filter fieldset {
    margin: 0;
    padding: 0;
    border: none;
}

.filter legend {
    margin: 0;
    padding: 0;
    font-size: 16px;
}

.filter ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.filter .filter-infrastructure,
.filter .filter-type-housing {
    width: 240px;
}

.filter .filter-type-housing {
    padding-left: 10px;
}

.filter-infrastructure legend,
.filter-type-housing legend {
    margin-bottom: 25px;
}

.filter-infrastructure li:not(:last-of-type),
.filter-type-housing li:not(:last-of-type) {
    margin-bottom: 25px;
}

.filter-infrastructure label,
.filter-type-housing label {
    position: relative;
    padding-left: 40px;
    cursor: pointer;
}

.filter-infrastructure label::before,
.filter-type-housing label::before {
    content: "";
    position: absolute;
    left: 0;
    top: -2px;
    width: 23px;
    height: 23px;
    border: 2px solid white;
    border-radius: 3px;
}

.filter-infrastructure input[type="checkbox"]:focus~label::before,
.filter-type-housing input[type="checkbox"]:focus~label::before {
    outline: thin dotted skyblue;
    outline-offset: 2px; 
}

.filter-infrastructure input[type="checkbox"]:checked~label::before,
.filter-type-housing input[type="checkbox"]:checked~label::before {
    width: 27px;
    border: none;
    background: url("../img/checkbox-on.svg") no-repeat 0 0;
}

.filter-infrastructure input[type="checkbox"]:disabled:checked~label::before,
.filter-type-housing input[type="checkbox"]:disabled:checked~label::before {
    width: 27px;
    border: none;
    background: url("../img/checkbox-disabled.svg") no-repeat 0 0;
}

.filter-infrastructure input[type="checkbox"]:disabled:not(:checked)~label::before,
.filter-type-housing input[type="checkbox"]:disabled:not(:checked)~label::before {
    border: 2px solid #6a6a6a;
}

.filter-infrastructure label:hover,
.filter-type-housing label:hover,
.filter-infrastructure label:hover::before,
.filter-type-housing label:hover::before {
    opacity: 0.8;
}

.filter-infrastructure label:active,
.filter-type-housing label:active,
.filter-infrastructure label:active::before,
.filter-type-housing label:active::before {
    opacity: 0.5;
}

.filter .price-per-day {
    margin-left: auto;
}

.price-per-day legend {
    margin-bottom: 10px;
}

.price-per-day .box {
    position: relative;
    width: 315px;
    margin-bottom: 22px;
    border: 2px solid #ffffff;
    border-radius: 3px;
}

.price-per-day .box::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 13px;
    margin-left: -10px;
    width: 20px;
    border: 1px solid #ffffff;
    -webkit-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
            transform: rotate(90deg);
}

.price-per-day .price-from {
    position: absolute;
    left: 62px;
    top: 1px;
    font-size: 14px;
    line-height: 21px;
    cursor: pointer;
}

.price-per-day .price-to {
    position: absolute;
    left: 207px;
    top: 1px;
    font-size: 14px;
    line-height: 21px;
    cursor: pointer;
}

.price-per-day input[type="text"] {
    width: 65px;
    border: none;
    padding-bottom: 5px;
    font: inherit;
    color: #ffffff;
    text-transform: uppercase;
    background-color: transparent;
}

.price-per-day input[name="price-per-day-from"] {
    margin-left: 85px;
}

.price-per-day input[name="price-per-day-to"] {
    margin-left: 80px;
}

.range {
    position: relative;
    left: 2px;
    width: 313px;
    border: 1px solid gray;
    border-radius: 10px;
}

.range::before {
    content: "";
    position: absolute;
    top: -1px;
    z-index: 10;
    width: 245px;
    border: 1px solid white;
    border-radius: 10px;
}

.begin-flag,
.end-flag {
    position: absolute;
    top: -10px;
    z-index: 100;
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 1px solid white;
    border-radius: 50%;
    background-color: white;
    -webkit-box-shadow: 0 3px 1px -1px gray;
            box-shadow: 0 3px 1px -1px gray;
    cursor: pointer;
    -webkit-transition-duration: 0.1s;
         -o-transition-duration: 0.1s;
            transition-duration: 0.1s;
    -webkit-transition-property: -webkit-transform;
    transition-property: -webkit-transform;
    -o-transition-property: transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    -webkit-transform: scale(1);
        -ms-transform: scale(1);
            transform: scale(1);
}

.begin-flag:hover,
.begin-flag:focus,
.end-flag:hover,
.end-flag:focus {
    -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
            transform: scale(1.1);
}

.begin-flag {
    left: -2px;
}

.end-flag {
    right: 45px;
}

.begin-flag::before,
.end-flag::before {
    content: "";
    position: absolute;
    top: 7px;
    left: 7px;
    z-index: 1000;
    display: inline-block;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    border: 1px solid gray;
    background-color: gray;
}

.filter-button {
    position: absolute;
    bottom: 0;
    right: 95px;
    min-height: 32px;
    padding: 0 30px;
    background-color: transparent;
    border: 2px solid #ffffff;
}

.filter-button:hover,
.filter-button:focus {
    background-color: #ffffff;
    color: #000000;
}

.seach-results-and-sort {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    min-height: 85px;
    padding-top: 30px;
    font-size: 12px;
    line-height: 18px;
}

.seach-results {
    margin: 0;
    margin-right: 50px;
    font-size: 21px;
    line-height: 26px;
}

.sort-title {
    margin-right: 40px;
    padding-top: 5px;
}

.seach-results-and-sort ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    padding: 0;
    padding-top: 5px;
    list-style: none;
}

.sort-item:not(:last-of-type) {
    margin-right: 33px;
}

.seach-results-and-sort .sort-list-type-2 {
    margin-left: auto;
}

.sort-list-type-1 a {
    color: rgba(0, 0, 0, 0.3);
}

.sort-list-type-2 .sort-acending,
.sort-list-type-2 .sort-descending {
    position: relative;
    display: inline-block;
}

.acending::before {
    content: "";
    position: absolute;
    top: -10px;
    width: 0;
    height: 0;
    border: 11px solid #cacaca;
    border-top-width: 0;
    border-right-width: 6px;
    border-left-width: 6px;
    border-left-color: transparent;
    border-right-color: transparent;
}

.sort-acending:hover .acending::before,
.sort-acending:focus .acending::before {
    border-bottom-color: #000000;
}

.sort-acending:active .acending::before {
    border-bottom-color: #81b3d2;
}

.sort-list-type-2-current .acending::before {
    border-top-color: #81b3d2;
}

.descending::before {
    content: "";
    position: absolute;
    right: 0;
    top: -10px;
    width: 0;
    height: 0;
    border: 11px solid #cacaca;
    border-bottom-width: 0;
    border-right-width: 6px;
    border-left-width: 6px;
    border-left-color: transparent;
    border-right-color: transparent;
}

.sort-descending:hover .descending::before,
.sort-descending:focus .descending::before {
    border-top-color: #000000;
}

.sort-descending:active .descending::before {
    border-top-color: #81b3d2;
}

.sort-list-type-2-current .descending::before {
    border-top-color: #81b3d2;
}

.sort-list-type-1-current a {
    color: #81b3d2;
}

.sort-list-type-1 a:hover,
.sort-list-type-1 a:focus {
    color: #81b3d2;
}

.sort-list-type-1 a:active,
.sort-list-type-1 a:active {
    color: #000000;
}

.catalog {
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
}

.catalog-item {
    padding: 30px 0;
}

.catalog-item:not(:last-of-type) {
    border-bottom: 1px solid #e5e5e5;
}

.catalog-item .catalog-item-box {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    padding: 0;
}

.catalog-item-info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}

.catalog-item-info h3 {
    margin: 0;
    padding: 0;
    font-size: 21px;
    line-height: 14px;
}

.catalog-item-info a {
    color: #000000;
    text-decoration: none;
}

.catalog-item-info a:hover,
.catalog-item-info a:focus {
    color: #81b3d2;
}

.catalog-item-info a:active {
    color: rgba(0, 0, 0, 0.3);
}

.catalog ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.price-and-category {
    margin: 0;
    padding: 0;
}

.price-and-category .catalog-category,
.price-and-category .catalog-item-price {
    font-weight: 400;
}

.price-and-category .catalog-category {
    margin-right: 35px;
}

.catalog-item:nth-of-type(2) .catalog-category {
    margin-right: 60px;
}

.catalog-item-image {
    margin: 0;
    margin-right: 30px;
    padding: 0;
    width: 135px;
    line-height: 0;
    -webkit-box-ordinal-group: 0;
        -ms-flex-order: -1;
            order: -1;
}

.catalog-item-box-buttons {
    margin: 0;
    padding: 0;
}

.catalog-item-box-buttons .button {
    display: inline-block;
    padding: 4px 15px;
}

.catalog-item-box-buttons .more-details {
    margin-right: 6px;
    color: #ffffff;
    background-color: #81b3d2;
}

.more-details:hover,
.more-details:focus {
    background-color: #669ec0;
}

.more-details:active {
    background-color: #5496bd;
    color: rgba(255, 255, 255, 0.3)
}

.catalog-item-box-buttons .armor {
    color: #ffffff;
    background-color: #766357;
}

.catalog-item-box-buttons .armor:hover,
.catalog-item-box-buttons .armor:focus {
    background-color: #604e43;
    color: white;
}

.catalog-item-box-buttons .armor:active {
    background-color: #503e33;
    color: rgba(255, 255, 255, 0.3)
}

.catalog-item-rating {
    position: relative;
    -ms-flex-item-align: end;
        align-self: flex-end;
    margin: 0;
    margin-left: auto;
    padding: 0 15px;
    font-weight: 400;
    color: #666666;
    text-align: center;
    background-color: #f2f2f2;
}

.catalog-item-rating::before {
    content: "";
    position: absolute;
    top: -70px;
    right: 0;
    display: block;
    height: 17px;
    background: url("../img/star.svg") repeat-x 0 0;
}

.catalog-item:first-of-type .catalog-item-rating::before {
    width: 90px;
}

.catalog-item:nth-of-type(2) .catalog-item-rating::before {
    width: 54px;
}

.catalog-item:last-of-type .catalog-item-rating::before {
    width: 36px;
}

.modal-show {
    display: block;
    -webkit-animation-name: opacity;
            animation-name: opacity;
    -webkit-animation-duration: 1s;
            animation-duration: 1s;
}

.modal-error {
    -webkit-animation-name: shake;
            animation-name: shake;
    -webkit-animation-duration: 0.6s;
            animation-duration: 0.6s;
}